/* Логотип: подпись слогана */

.header__logo {
    line-height: 1;
    display: inline-block;
    border-bottom: none !important;
    vertical-align: middle;
}

@media (min-width: 900px) {
    a.header__logo {
        float: none;
        width: auto;
        margin-right: 40px;
        line-height: 1;
    }
}

@media (max-width: 900px) {
    a.header__logo {
        display: inline-block;
        position: static;
        left: auto;
        bottom: auto;
    }
}

.header__logo-slogan {
    display: block;
    font-size: 16px;
    font-weight: bold;
    color: #00984e;
    text-align: right;
    margin-top: 6px;
    white-space: nowrap;
}

.header__banner {
    max-height: none;
    background: #F2F2F2;
    min-height: 60px;
    padding: 20px 0;
}

.header__row-banner {
    flex-wrap: wrap;
    line-height: normal;
    height: auto;
    position: relative;
}

.header__city {
    border-bottom: none;
    font-size: 14px;
    color: black;
    display: inline-flex;
    align-items: center;
}

.header__city-hint {
    margin-right: 5px;
    line-height: 20px;
    display: inline-block;
}

.header__city-title {
    font-weight: bold;
    border-bottom: 1px dashed rgba(51, 51, 51, 0.3);
    display: inline-block;
    margin-top: 3px;
    color: #000;
}

.header__search {
    align-items: center;
    justify-content: space-between;
}

.header__search-icon {
    width: 20px;
    height: 20px;
    cursor: pointer;
    background: transparent;
    display: inline-flex;
}

.header__search--open-search {
    position: absolute;
    width: calc(100% - 140px);
    height: 100%;
    z-index: 10;
    background: #F2F2F2;
    top: 0;
    left: 70px;
}

/* Делаем адаптив для header и правим старые стили */

@media screen and (max-width: 1000px) {
    .header__search--open-search {
        left: 30px;
        width: calc(100% - 60px);
    }
}

@media screen and (max-width: 900px) {
    .header__row {
        height: auto;
        line-height: normal;
        padding-top: 10px;
        padding-bottom: 10px;
    }

    .header__logo {
        margin-bottom: 0;
    }

    .header__row-navigation {
        padding-top: 10px;
        padding-bottom: 10px;
        position: relative;
    }
}

@media screen and (max-width: 700px) {
    .header__search--open-search {
        left: 15px;
        width: calc(100% - 30px);
    }
}

@media screen and (min-width: 451px) and (max-width: 900px) {
    .header {
        height: auto;
    }
}

@media screen and (max-width: 450px) {
    .header__city-hint {
        display: none;
    }

    .header__banner {
        padding: 10px 0;
        min-height: 40px;
    }

    .header__row-banner {
        z-index: 1102;
    }

    .header__search {
        width: auto;
    }

    .header {
        height: auto;
        z-index: 1102;
    }

    .header__logo {
        margin-bottom: 16px;
    }

    .header__logo-slogan {
        text-align: center;
    }

    .header__row {
        padding-top: 15px;
        padding-bottom: 0;
    }

    .header__search--open-search {
        width: calc(100% - 30px);
    }
}

.search-form {
    width: 100%;
    background: #F2F2F2;
    max-height: none;
    display: inline-flex;
    margin-left: 24px;
    justify-content: space-between;
    align-items: center;
}

.search-form svg {
    fill: transparent;
}

.search-form__input {
    background: #F2F2F2;
    color: black;
    font-size: 16px;
    line-height: 20px;
    max-height: 20px;
    width: 100%;
    display: block;
}

.search-form__input::placeholder {
    color: black;
    opacity: 0.15;
}

.search-form__submit {
    background: #FE8B1B;
    border-radius: 21px;
    display: inline-block;
    min-height: 42px;
    color: white;
    text-align: center;
    padding: 10px 27px;
    cursor: pointer;
    margin: 0 40px 0 25px;
}

.search-form__close {
    width: 20px;
    height: 20px;
    min-width: 20px;
    display: inline-flex;
    border-radius: 50%;
    background: #E0E0E0;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.search-form__send-hint {
    color: black;
    display: inline-flex;
    opacity: 0.15;
    align-items: center;
}

.search-form__send-hint::before {
    content: '';
    width: 20px;
    height: 20px;
    min-width: 20px;
    margin-right: 8px;
    background: url('../img/enter-icon.svg') no-repeat center / contain;
}

@media screen and (max-width: 450px) {
    .search-form__send-hint {
        display: none;
    }

    .search-form__submit {
        position: absolute;
        width: 100%;
        min-height: 40px;
        padding: 10px 0;
        top: 40px;
        left: 0;
        margin: 0;
    }
}

/* Мессенджеры: иконка Яндекс с рейтингом */

.contacts__item--yandex,
.contacts__item--2gis {
    margin-left: -7px;
}

.contacts__item--yandex a,
.contacts__item--2gis a {
    display: block;
    position: relative;
    width: 65px;
    border: none !important;
    color: black;
    line-height: 1;
}

.contacts__item--yandex a:hover,
.contacts__item--2gis a:hover {
    transform: scale(1.2);
}

.contacts__item--yandex img,
.contacts__item--2gis img {
    width: 65px;
    display: block;
}

.contacts__item--yandex .contacts__rating,
.contacts__item--2gis .contacts__rating {
    background: #fff;
    position: absolute;
    left: 8px;
    bottom: 22px;
    font-size: 16px;
    padding: 0 2px;
    pointer-events: none;
}

.contacts__item--2gis .contacts__rating {
    bottom: 12px;
}



/* Добавляем новые стили */

.hidden {
    display: none;
}

.darken-page {
    position: relative;
}

.darken-page::before {
    position: fixed;
    top: 60px;
    width: 100%;
    height: calc(100% - 60px);
    background: black;
    opacity: 0.3;
    left: 0;
    content: '';
    z-index: 1101;
}

.content {
    padding-top: 200px;
}

/* Правим баг. Чтобы header был выше по z-index */

.bx-wrapper .bx-controls-direction a {
    z-index: 1 !important;
}

/* Перепысываем старые стили и адаптив для новых стилей */

@media screen and (max-width: 900px) {
    .content {
        padding-top: 150px;
    }
}

@media screen and (max-width: 450px) {
    .darken-page::before {
        top: 40px;
        height: calc(100% - 40px);
    }

    .darken-page .header__row-navigation::before {
        width: 100%;
        height: calc(100% - 40px);
        content: '';
        background: black;
        opacity: 0.3;
        position: fixed;
        left: 0;
        top: 40px;
        z-index: 211;
    }

    .content {
        padding-top: 150px;
    }
}